Bug 984026 - lxc container with networking hangs udevadm settle on the host
lxc container with networking hangs udevadm settle on the host
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: systemd-maint
Petr Sklenar
Depends On:
  Show dependency treegraph
Reported: 2013-07-12 10:47 EDT by Daniel Berrange
Modified: 2016-04-26 12:27 EDT (History)
23 users (show)

See Also:
Fixed In Version: systemd-219-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 983685
Last Closed: 2015-11-19 09:54:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2013-07-12 10:47:15 EDT
+++ This bug was initially created as a clone of Bug #983685 +++

If I start a simple bash container with networking, udevadm settle proceeds to hang on the host. This affects other libvirt functions like storage pool listing. If I remove the <interface> XML, settle doesn't hang.

Any recommendations on getting more info is appreciated.

I have this container:

<domain type='lxc'>
  <memory unit='KiB'>65536</memory>
  <currentMemory unit='KiB'>61440</currentMemory>
  <vcpu placement='static'>1</vcpu>
    <type arch='x86_64'>exe</type>
  <clock offset='utc'/>
    <interface type='network'>
      <mac address='00:16:3e:ab:9a:cd'/>
      <source network='default'/>
    <console type='pty'>
      <target type='lxc' port='0'/>

Default network XML is:

  <forward mode='nat'>
      <port start='1024' end='65535'/>
  <bridge name='virbr0' stp='on' delay='0' />
  <mac address='52:54:00:d1:52:aa'/>
  <ip address='' netmask=''>
    <tftp root='/var/lib/tftpboot' />
      <range start='' end='' />
      <bootp file='pxelinux.0' />

To test, dump the first XML to file, sudo virsh --connect lxc:/// define <vmxml>, sudo virsh --connect lxc:/// start bash, udevadm settle on host.udev

--- Additional comment from Daniel Berrange on 2013-07-12 10:17:20 BST ---

I've seen this before too, but never managed to get to the bottom of it. Will look again & ask systemd folks for opinions.

--- Additional comment from Daniel Berrange on 2013-07-12 14:52:04 BST ---

Comment 2 Kay Sievers 2013-11-19 10:55:08 EST
It's a pretty nasty kernel issue with network namespaces, or a non-trivial
problem to work around in userspace:
Comment 3 RHEL Product and Program Management 2014-03-24 01:51:18 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Lukáš Nykrýn 2015-05-29 07:18:33 EDT
Fixed in 212, see the fedora bug.
Comment 8 errata-xmlrpc 2015-11-19 09:54:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.